/*
 * cowbell
 * Copyright (c) 2005 Brad Taylor
 *
 * This file is part of cowbell.
 *
 * cowbell is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * cowbell is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with cowbell; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

using Gtk;
using System;
using Cowbell.Base;
using Cowbell.Gui;

namespace Cowbell.Gui
{
	public class Gui
	{
		/* public properties */
		public MainWindow MainWindow {
			get { return mainwindow; }
		}

		/* public methods */
		public Gui ()
		{
			Application.Init ();
			mainwindow = new MainWindow ();
		}

		public void Show ()
		{
			Application.Run ();
		}

		public void ShowError (string error)
		{
			ErrorDialog d = new ErrorDialog (mainwindow.Window, error);
			d.Run ();
			d.Hide ();
		}

		/* private fields */
		private MainWindow mainwindow;
	}
}
